int game_mode;


/* Function to change current game mode ======================================*/
void changeGameMode(int mode)
{
   switch(mode)
   {
      case TITLES:
         game_mode = TITLES;
         glutIdleFunc(idleTitles);
         glutDisplayFunc(displayTitles);
         glutMouseFunc(NULL);
         glutMotionFunc(NULL);
         break;

      case SELECT:
         game_mode = SELECT;
         resetView(boona);
         glutIdleFunc(idleSelect);
         glutDisplayFunc(displaySelect);
         glutMouseFunc(mouse);
         glutMotionFunc(motion);
         break;

      case OPTIONS:
         game_mode = OPTIONS;
         glutIdleFunc(idleOptions);
         glutDisplayFunc(displayOptions);
         glutMouseFunc(NULL);
         glutMotionFunc(NULL);
         break;

      case HIGHSCORES:
         game_mode = HIGHSCORES;
         glutIdleFunc(idleHighscores);
         glutDisplayFunc(displayHighscores);
         glutMouseFunc(NULL);
         glutMotionFunc(NULL);
         break;

      case CREDITS:
         game_mode = CREDITS;
         glutIdleFunc(idleCredits);
         glutDisplayFunc(displayCredits);
         glutMouseFunc(NULL);
         glutMotionFunc(NULL);
         break;

      case EXIT:   //a little bit suspect at the moment with the game mode shit...
         game_mode = EXIT;
         //save configuration files and highscores here
         //seems to crash on exit when using game mode under Windows 2000...
         if(glutGameModeGet(GLUT_GAME_MODE_ACTIVE)) glutLeaveGameMode();
         exit(0);
         break;

      case GAME:
         game_mode = GAME;
         resetView(boona);
         boona.game_time = 300;   //allows 5 mins play - temporary assignment
         glutIdleFunc(idleGame);
         glutDisplayFunc(displayGame);
         glutMouseFunc(NULL);
         glutMotionFunc(NULL);
         break;

      case PAUSED:
         game_mode = PAUSED;
         glutIdleFunc(idlePaused);
         glutDisplayFunc(displayPaused);
         glutMouseFunc(mouse);
         glutMotionFunc(motion);
         break;

      default:
         break;
   }
}

