//
//
//  TITLE : object_plane.h
//
//  AUTHOR : Robert Bateman
//
//  NOTES : Derives a class from objFile that is used to define 
//          a 3D geometric plane, using it to manually specify
//          planes that recieve shadows, and calculate the shadow
//          polygons produced (reflections also). Has functions to
//          cull any extra faces.
//

#ifndef OBJ_PLANE_H
#define OBJ_PLANE_H

#include "./objloader.h"

//enum shadowState{ false , 

class cObjectPlane : public objFile , public plane4f
  {
    public :

      void setPlanes( void );

      virtual bool load  ( char *filename );
      virtual bool draw  ( void );
      cVector3f midPoint;

      bool drawReflectedInPlane ( objFile &obj );
      bool drawShadowOnPlane    ( objFile &obj , cLight *light );

/*
      bool getLineIntersection( cVector3f &pos , cVector3f &direction , cVector *intersectPoint )

        // 
        //  tests to see if line intersects plane and at what point....
        //

        {
          */
        uint  vrefs[4];
      plane4f cullEdges[4];

  };

#endif
