/*##############################################################################
###
###  FRUITY GAME ENGINE VERSION 0.1     :     COPYRIGHT  ROB BATEMAN 15/NOV/00
###
###  TIMER.H  :  HIGH RES FRAME COUNTER FOR SILICON GRAPHICS WORKSTATIONS.
###
##############################################################################*/


/*###########################################################################
###                      INIT FRAME COUNTER FUNCTION
###########################################################################*/

extern void InitFrameCounter(void);

/*###########################################################################
###              RETURNS THE TIME TAKEN TO DRAW THE LAST FRAME
###########################################################################*/

extern double GetFrameTime(void);

/*###########################################################################
###                    RETURNS THE FRAMES PER SECOND
###########################################################################*/

extern double GetFps(void);
